/*
 * Project: irond
 * Package: src.de.fhhannover.inform.iron.mapserver.datamodel.exceptions
 * File:    MetadataConstructionException.java
 *
 * Copyright (C) 2010 Fachhochschule Hannover
 * Ricklinger Stadtweg 118, 30459 Hannover, Germany 
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package de.fhhannover.inform.iron.mapserver.datamodel.exceptions;

/**
 * Represents a exception that is thrown if the Metadata could not
 * be constructed.
 * 
 * @author aw
 * @version 0.1
 * 
 * created: 28.11.09
 * changes:
 * 	28.11.09 aw - First version of this class
 *  04.02.10 aw - Removed reason in favor for message from Exception
 *
 */
public class MetadataConstructionException extends Exception {
	
	
	/**
	 * autogenerated
	 */
	private static final long serialVersionUID = 6353893670193176797L;

	public MetadataConstructionException(String message) {
		super(message);
	}
}
